package cn.com.ctop.common.module.service;


import cn.com.ctop.common.module.entity.MaterialCutFrame;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.IOException;
import java.util.List;

/**
 * 截屏
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-25
 */
public interface IMaterialCutFrameService extends IService<MaterialCutFrame> {
    List<MaterialCutFrame> getListByVideoSignature(String signature);

    void getTencentCutFrame(String videoUrl, String materialId, String coveUrl);

    boolean updateTencentCutFrame(String videoMD5);

    MaterialCutFrame getCutFrameByCode(String code);

    List<JSONObject> getProgramCreativeCover(String signature);

    MaterialCutFrame selectByMd5(String md5);

    /**
     * 根基photoId imageToken 获取单张封面
     *
     * @param photoId
     * @param imageToken
     * @return
     */
    JSONObject getCutFrameByVideoMd5(String photoId, String imageToken);

    void getCutFrame(String url, String materialId, Long secondDuration, String height, String width) throws IOException;
}
